<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDhcpSubnetReq StructType
 * @subpackage Structs
 */
class AddDhcpSubnetReq extends APIRequest
{
    /**
     * The dhcpSubnet
     * @var XDhcpSubnet
     */
    public $dhcpSubnet;
    /**
     * Constructor method for AddDhcpSubnetReq
     * @uses AddDhcpSubnetReq::setDhcpSubnet()
     * @param XDhcpSubnet $dhcpSubnet
     */
    public function __construct(XDhcpSubnet $dhcpSubnet = null)
    {
        $this
            ->setDhcpSubnet($dhcpSubnet);
    }
    /**
     * Get dhcpSubnet value
     * @return XDhcpSubnet|null
     */
    public function getDhcpSubnet()
    {
        return $this->dhcpSubnet;
    }
    /**
     * Set dhcpSubnet value
     * @param XDhcpSubnet $dhcpSubnet
     * @return AddDhcpSubnetReq
     */
    public function setDhcpSubnet(XDhcpSubnet $dhcpSubnet = null)
    {
        $this->dhcpSubnet = $dhcpSubnet;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDhcpSubnetReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
